const getValue = (node, state) => state.doc.sliceString(node.from, node.to);
const getNodeByName = (node, state, nodeName = "Column") => {
  if (node.firstChild?.name === nodeName) {
    return getValue(node.firstChild, state);
  } else {
    let maybeColumnNode = node.prevSibling || node.parent;
    while (maybeColumnNode && maybeColumnNode.name !== nodeName) {
      maybeColumnNode = maybeColumnNode.prevSibling || maybeColumnNode.parent;
    }
    if (maybeColumnNode) {
      return getValue(maybeColumnNode, state);
    }
  }
};
const getPreviousNode = (node) => {
  const prevNode = node.prevSibling;
  console.log(`prevNode ${prevNode?.name}`);
  return prevNode;
};
const getNamedParentNode = (node) => {
  let maybeParent = node.parent;
  while (maybeParent && maybeParent.name === "\u26A0") {
    maybeParent = maybeParent.parent;
  }
  return maybeParent;
};
const getPreviousNamedNode = (node) => {
  let maybeParent = node.prevSibling;
  while (maybeParent && maybeParent.name === "\u26A0") {
    maybeParent = maybeParent.prevSibling;
  }
  return maybeParent;
};

export { getNamedParentNode, getNodeByName, getPreviousNamedNode, getPreviousNode, getValue };
//# sourceMappingURL=parser-utils.js.map
